//#define XERR
#include "tumor.ih"

double Tumor::functionF(double years) const
{
///xerr(1 << ' ' << reinterpret_cast<void *>(d_functionQ) << \ <-*****
///          ' ' << reinterpret_cast<void *>(d_functionZ) << '\n');

xerr("a..d: " << d_survival[0].value() << ' ' << \
                d_survival[1].value() << ' ' << \
                d_survival[2].value() << ' ' << \
                d_survival[3].value());

    return years <= 0 ? 
                1 
            : 
                exp(-functionQ(years) * 
                     pow(d_diameter, functionZ(years))); 
}
        
